import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="wangfusamplepackage",                     # This is the name of the package
    version="0.2.8",                        # The initial release version
    author="Benjamin Wang",                     # Full name of the author
    description="Quicksample Test Package for SQLShack Demo",
    long_description=long_description,      # Long description read from the the readme file
    long_description_content_type="text/markdown",
    packages=setuptools.find_packages(),    # List of all python modules to be installed
    entry_points={
        "console_scripts": [
            "wangfusamplepackage=wangfusamplepackage.wangfusamplepackage:main",
        ],
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],                                      # Information to filter the project on PyPi website
    python_requires='>=3.6',                # Minimum version requirement of the package
    py_modules=["wangfusamplepackage"],             # Name of the python package
    
    install_requires=['argcomplete']                     # Install other dependencies if any
)
